FreeBSD : awstats -- arbitrary commands execution vulnerability (ce6ce2f8-34ac-11e0-8103-00215c6a37bb)

High Nessus Plugin ID 51930


The remote FreeBSD host is missing one or more security-related updates.


Awstats change log reports :

- Security fix (Traverse directory of LoadPlugin)

- Security fix (Limit config to defined directory to avoid access to external config file via a nfs or webdav link).


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 51930

File Name: freebsd_pkg_ce6ce2f834ac11e0810300215c6a37bb.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2011/02/10

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:awstats, p-cpe:/a:freebsd:freebsd:awstats-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2011/02/10

Vulnerability Publication Date: 2010/05/01

Reference Information

CVE: CVE-2010-4367